PHP is among the most widely used server-side coding languages. It is rather popular as it is free software, which can be used to set up responsive sites such as social networking sites, e-commerce portals or e-learning portals instead of static HTML sites. A PHP module must be available on the web server where a PHP-driven website is hosted so that its source code can be read. As there are no license charges for this kind of module and the language provides innumerable possibilities for the applications that you build, there are 100s of millions of PHP websites. Besides, there are a myriad of PHP-based scripts, which you can use for your websites without needing to possess any programming know-how. Considering the fact that there are several versions of PHP, you have to make certain that the very same version that you used whilst creating your site is installed on the server as well.

PHP 4 and PHP 5 Support in Cloud Website Hosting

If you get a cloud website hosting plan from our company, you’ll never need to speculate on whether or not your websites are compatible with the web hosting environment, since we support multiple PHP versions for your convenience’s sake. The Hepsia hosting Control Panel will permit you to choose PHP 4, 5.2, 5.3, 5.4 or 5.5 with just one click and in case you need to change the version, the new settings will take effect immediately. In this way, many years of work on sites created with an older PHP version will not be wasted. Our web hosting platform will even permit you to use a different PHP version for each domain hosted in your account, which goes to say that you can use older and newer scripts at the same time. Most web hosting providers on the market offer one, sometimes two versions of PHP. In stark contrast to them, we strongly reckon that you should be the one to select the version that your own websites will be using.

PHP 4 and PHP 5 Support in Semi-dedicated Hosting

Even if your websites were created with an earlier PHP version, you’ll be able to host them in a semi-dedicated server account from us, since we support different versions running at the same time on our servers and each one of them can be activated for your account with just a click of the mouse through our in-house created Hepsia hosting Control Panel. Other than the latest PHP 5.5 and PHP 5.4, we also offer support for 5.2, 5.3 and the older PHP 4, which has already been abandoned by the great majority of hosting companies, but we strongly feel that you shouldn’t be forced to modify a website that took several years to develop, since older script language syntax does not invariably equal security breaches. Quite the opposite, a correctly maintained site using PHP 4 can be more reliable than a poorly maintained one using PHP 5. For your convenience’s sake, we will also offer you the opportunity to specify a different PHP version for each individual site within the account.